## mingw-w64-abinit-10.0.9-1.src.tar.zst

=== requirements.txt ===
html2text

# Pinned versions for website deployment
mkdocs==1.1.2
mkdocs-material==7.0.6
jinja2<3.1.0

pymdown-extensions==8.2
python-markdown-math
pyyaml
pygments
pybtex

#graphviz or python-graphviz if conda
#py_w3c

# Unit tests
pytest
#pytest-cov

abimkdocs_plugin/.
