=== shared/CMakeLists.txt ===
add_subdirectory(common)
#add_subdirectory(libpaw)
